<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.100.140
Name: Bericht 3 Geldige partijnummers (payload)
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000">
   <title>Bericht 3 Geldige partijnummers (payload)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]
Item: (VersturenGeldigePartijnummers-payload)
-->

   <rule context="*[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]"
         id="d101e28133-false-d362394e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="count(hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140'])&gt;=1 and not(hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']/@nullFlavor)">(VersturenGeldigePartijnummers-payload): element hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="count(hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140'])&lt;=1">(VersturenGeldigePartijnummers-payload): element hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']
Item: (VersturenGeldigePartijnummers-payload)
-->

   <rule context="*[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']"
         id="d101e28141-false-d362504e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="string(@classCode)=('LIST') or not(@classCode)">(VersturenGeldigePartijnummers-payload): de waarde van @classCode MOET 'LIST' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(VersturenGeldigePartijnummers-payload): attribuut @classCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="string(@moodCode)=('EVN') or not(@moodCode)">(VersturenGeldigePartijnummers-payload): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(VersturenGeldigePartijnummers-payload): attribuut @moodCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.140'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.140']/@nullFlavor)">(VersturenGeldigePartijnummers-payload): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.140'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.140'])&lt;=1">(VersturenGeldigePartijnummers-payload): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.140'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="count(hl7:code[(@code='373873005' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='373873005' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(VersturenGeldigePartijnummers-payload): element hl7:code[(@code='373873005' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="count(hl7:code[(@code='373873005' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(VersturenGeldigePartijnummers-payload): element hl7:code[(@code='373873005' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)">(VersturenGeldigePartijnummers-payload): element hl7:effectiveTime is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(VersturenGeldigePartijnummers-payload): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="count(hl7:product)&gt;=1 and not(hl7:product/@nullFlavor)">(VersturenGeldigePartijnummers-payload): element hl7:product is mandatory [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.140']
Item: (VersturenGeldigePartijnummers-payload)
-->

   <rule context="*[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.140']"
         id="d101e28175-false-d363641e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(VersturenGeldigePartijnummers-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="string(@root)=('2.16.840.1.113883.2.4.6.10.100.140')">(VersturenGeldigePartijnummers-payload): de waarde van @root MOET '2.16.840.1.113883.2.4.6.10.100.140' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$')">(VersturenGeldigePartijnummers-payload): attribuut @root MOET datatype 'oid' hebben</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']/hl7:code[(@code='373873005' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (VersturenGeldigePartijnummers-payload)
-->

   <rule context="*[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']/hl7:code[(@code='373873005' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="d101e28185-false-d363791e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(VersturenGeldigePartijnummers-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="@nullFlavor or (@code='373873005' and @codeSystem='2.16.840.1.113883.6.96' and @displayName='Pharmaceutical / biologic product')">(VersturenGeldigePartijnummers-payload): de elementwaarde MOET een zijn van 'code '373873005' codeSystem '2.16.840.1.113883.6.96' displayName='Pharmaceutical / biologic product''.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']/hl7:effectiveTime
Item: (VersturenGeldigePartijnummers-payload)
-->
   <rule context="*[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']/hl7:effectiveTime">
      <extends rule="d101e28200-false-d364599e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="count(hl7:low)&gt;=1 and not(hl7:low/@nullFlavor)">(VersturenGeldigePartijnummers-payload): element hl7:low is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="count(hl7:low)&lt;=1">(VersturenGeldigePartijnummers-payload): element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="count(hl7:high)&gt;=1 and not(hl7:high/@nullFlavor)">(VersturenGeldigePartijnummers-payload): element hl7:high is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="count(hl7:high)&lt;=1">(VersturenGeldigePartijnummers-payload): element hl7:high komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="count(hl7:center)=0">(VersturenGeldigePartijnummers-payload): element hl7:center MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="count(hl7:width)=0">(VersturenGeldigePartijnummers-payload): element hl7:width MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']/hl7:effectiveTime/hl7:low
Item: (VersturenGeldigePartijnummers-payload)
-->
   <rule context="*[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']/hl7:effectiveTime/hl7:low">
      <extends rule="d364585e19-false-d364773e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(VersturenGeldigePartijnummers-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="(@nullFlavor or (string-length(string($theValue))&gt;=14))">(VersturenGeldigePartijnummers-payload): value MOET een stringlengte in bereik [14..*] hebben </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']/hl7:effectiveTime/hl7:high
Item: (VersturenGeldigePartijnummers-payload)
-->
   <rule context="*[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']/hl7:effectiveTime/hl7:high">
      <extends rule="d364585e29-false-d364839e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(VersturenGeldigePartijnummers-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="(@nullFlavor or (string-length(string($theValue))&gt;=14))">(VersturenGeldigePartijnummers-payload): value MOET een stringlengte in bereik [14..*] hebben </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']/hl7:effectiveTime/hl7:center
Item: (VersturenGeldigePartijnummers-payload)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']/hl7:effectiveTime/hl7:width
Item: (VersturenGeldigePartijnummers-payload)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10244
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']/hl7:effectiveTime
Item: (Periode-M-Start-M-Eind-M)
-->
   <rule id="d101e28200-false-d364599e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.10244-2012-08-01T000000.html"
              test="count(hl7:low)&gt;=1 and not(hl7:low/@nullFlavor)">(Periode-M-Start-M-Eind-M): element hl7:low is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.10244-2012-08-01T000000.html"
              test="count(hl7:low)&lt;=1">(Periode-M-Start-M-Eind-M): element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.10244-2012-08-01T000000.html"
              test="count(hl7:high)&gt;=1 and not(hl7:high/@nullFlavor)">(Periode-M-Start-M-Eind-M): element hl7:high is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.10244-2012-08-01T000000.html"
              test="count(hl7:high)&lt;=1">(Periode-M-Start-M-Eind-M): element hl7:high komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.10244-2012-08-01T000000.html"
              test="count(hl7:width)=0">(Periode-M-Start-M-Eind-M): element hl7:width MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.10244-2012-08-01T000000.html"
              test="count(hl7:center)=0">(Periode-M-Start-M-Eind-M): element hl7:center MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10244
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']/hl7:effectiveTime/hl7:low
Item: (Periode-M-Start-M-Eind-M)
-->
   <rule id="d364585e19-false-d364773e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.10244-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Periode-M-Start-M-Eind-M): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10244
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']/hl7:effectiveTime/hl7:high
Item: (Periode-M-Start-M-Eind-M)
-->
   <rule id="d364585e29-false-d364839e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.10244-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Periode-M-Start-M-Eind-M): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10244
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']/hl7:effectiveTime/hl7:width
Item: (Periode-M-Start-M-Eind-M)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10244
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']/hl7:effectiveTime/hl7:center
Item: (Periode-M-Start-M-Eind-M)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']/hl7:product
Item: (VersturenGeldigePartijnummers-payload)
-->

   <rule context="*[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']/hl7:product"
         id="d101e28244-false-d364943e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="string(@typeCode)=('PRD')">(VersturenGeldigePartijnummers-payload): de waarde van @typeCode MOET 'PRD' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(VersturenGeldigePartijnummers-payload): attribuut @typeCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="count(hl7:instanceOfKind)&gt;=1 and not(hl7:instanceOfKind/@nullFlavor)">(VersturenGeldigePartijnummers-payload): element hl7:instanceOfKind is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="count(hl7:instanceOfKind)&lt;=1">(VersturenGeldigePartijnummers-payload): element hl7:instanceOfKind komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']/hl7:product/hl7:instanceOfKind
Item: (VersturenGeldigePartijnummers-payload)
-->

   <rule context="*[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']/hl7:product/hl7:instanceOfKind"
         id="d101e28261-false-d365274e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="string(@classCode)=('INST')">(VersturenGeldigePartijnummers-payload): de waarde van @classCode MOET 'INST' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(VersturenGeldigePartijnummers-payload): attribuut @classCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="count(hl7:productInstanceInstance)&gt;=1 and not(hl7:productInstanceInstance/@nullFlavor)">(VersturenGeldigePartijnummers-payload): element hl7:productInstanceInstance is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="count(hl7:productInstanceInstance)&lt;=1">(VersturenGeldigePartijnummers-payload): element hl7:productInstanceInstance komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="count(hl7:kindOfProduct)&lt;=1">(VersturenGeldigePartijnummers-payload): element hl7:kindOfProduct komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance
Item: (VersturenGeldigePartijnummers-payload)
-->

   <rule context="*[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance"
         id="d101e28278-false-d365390e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="string(@classCode)=('MMAT')">(VersturenGeldigePartijnummers-payload): de waarde van @classCode MOET 'MMAT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(VersturenGeldigePartijnummers-payload): attribuut @classCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="string(@determinerCode)=('INSTANCE')">(VersturenGeldigePartijnummers-payload): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="not(@determinerCode) or (string-length(@determinerCode)&gt;0 and not(matches(@determinerCode,'\s')))">(VersturenGeldigePartijnummers-payload): attribuut @determinerCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="count(hl7:id)&gt;=1 ">(VersturenGeldigePartijnummers-payload): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="count(hl7:id)&lt;=1">(VersturenGeldigePartijnummers-payload): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="count(hl7:expirationTime)&lt;=1">(VersturenGeldigePartijnummers-payload): element hl7:expirationTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="count(hl7:asInstanceOfKind[hl7:kindOfMaterialKind[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code) or @nullFlavor]]])&gt;=1 and not(hl7:asInstanceOfKind[hl7:kindOfMaterialKind[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code) or @nullFlavor]]]/@nullFlavor)">(VersturenGeldigePartijnummers-payload): element hl7:asInstanceOfKind[hl7:kindOfMaterialKind[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code) or @nullFlavor]]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="count(hl7:asInstanceOfKind[hl7:kindOfMaterialKind[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code) or @nullFlavor]]])&lt;=1">(VersturenGeldigePartijnummers-payload): element hl7:asInstanceOfKind[hl7:kindOfMaterialKind[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code) or @nullFlavor]]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance/hl7:id
Item: (VersturenGeldigePartijnummers-payload)
-->

   <rule context="*[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance/hl7:id"
         id="d101e28298-false-d369006e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(VersturenGeldigePartijnummers-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="@extension and (@root or @nullFlavor='UNC')">(VersturenGeldigePartijnummers-payload): Er MOET tenminste een partijnummer in @extension staan. Het attribuut @root MOET een waarde bevatten of @nullFlavor='UNC'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance/hl7:expirationTime
Item: (VersturenGeldigePartijnummers-payload)
-->
   <rule context="*[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance/hl7:expirationTime">
      <extends rule="d101e28314-false-d369481e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="count(hl7:low)=0">(VersturenGeldigePartijnummers-payload): element hl7:low MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="count(hl7:high)&gt;=1 and not(hl7:high/@nullFlavor)">(VersturenGeldigePartijnummers-payload): element hl7:high is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="count(hl7:high)&lt;=1">(VersturenGeldigePartijnummers-payload): element hl7:high komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance/hl7:expirationTime/hl7:low
Item: (VersturenGeldigePartijnummers-payload)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance/hl7:expirationTime/hl7:high
Item: (VersturenGeldigePartijnummers-payload)
-->
   <rule context="*[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance/hl7:expirationTime/hl7:high">
      <extends rule="d369457e62-false-d369985e0"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(VersturenGeldigePartijnummers-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10240
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance/hl7:expirationTime
Item: (Periode-O-Start-O-Eind-O)
-->
   <rule id="d101e28314-false-d369481e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.10240-2012-08-01T000000.html"
              test="string(@nullFlavor)=('UNK') or not(@nullFlavor)">(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.10240-2012-08-01T000000.html"
              test="not(@nullFlavor) or (string-length(@nullFlavor)&gt;0 and not(matches(@nullFlavor,'\s')))">(Periode-O-Start-O-Eind-O): attribuut @nullFlavor MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.10240-2012-08-01T000000.html"
              test="count(hl7:low)&lt;=1">(Periode-O-Start-O-Eind-O): element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.10240-2012-08-01T000000.html"
              test="count(hl7:high)&lt;=1">(Periode-O-Start-O-Eind-O): element hl7:high komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.10240-2012-08-01T000000.html"
              test="count(hl7:width)=0">(Periode-O-Start-O-Eind-O): element hl7:width MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.10240-2012-08-01T000000.html"
              test="count(hl7:center)=0">(Periode-O-Start-O-Eind-O): element hl7:center MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10240
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance/hl7:expirationTime/hl7:low
Item: (Periode-O-Start-O-Eind-O)
-->
   <rule context="*[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance/hl7:expirationTime/hl7:low">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.10240-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Periode-O-Start-O-Eind-O): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.10240-2012-08-01T000000.html"
              test="string(@nullFlavor)=('UNK') or not(@nullFlavor)">(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.10240-2012-08-01T000000.html"
              test="not(@nullFlavor) or (string-length(@nullFlavor)&gt;0 and not(matches(@nullFlavor,'\s')))">(Periode-O-Start-O-Eind-O): attribuut @nullFlavor MOET datatype 'cs' hebben</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10240
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance/hl7:expirationTime/hl7:high
Item: (Periode-O-Start-O-Eind-O)
-->
   <rule id="d369457e62-false-d369985e0" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.10240-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Periode-O-Start-O-Eind-O): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.10240-2012-08-01T000000.html"
              test="string(@nullFlavor)=('UNK') or not(@nullFlavor)">(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.10240-2012-08-01T000000.html"
              test="not(@nullFlavor) or (string-length(@nullFlavor)&gt;0 and not(matches(@nullFlavor,'\s')))">(Periode-O-Start-O-Eind-O): attribuut @nullFlavor MOET datatype 'cs' hebben</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10240
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance/hl7:expirationTime/hl7:width
Item: (Periode-O-Start-O-Eind-O)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.10240
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance/hl7:expirationTime/hl7:center
Item: (Periode-O-Start-O-Eind-O)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance/hl7:asInstanceOfKind[hl7:kindOfMaterialKind[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code) or @nullFlavor]]]
Item: (VersturenGeldigePartijnummers-payload)
-->

   <rule context="*[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance/hl7:asInstanceOfKind[hl7:kindOfMaterialKind[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code) or @nullFlavor]]]"
         id="d101e28348-false-d371823e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="string(@classCode)=('INST')">(VersturenGeldigePartijnummers-payload): de waarde van @classCode MOET 'INST' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(VersturenGeldigePartijnummers-payload): attribuut @classCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="count(hl7:kindOfMaterialKind[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code) or @nullFlavor]])&gt;=1 and not(hl7:kindOfMaterialKind[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code) or @nullFlavor]]/@nullFlavor)">(VersturenGeldigePartijnummers-payload): element hl7:kindOfMaterialKind[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code) or @nullFlavor]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="count(hl7:kindOfMaterialKind[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code) or @nullFlavor]])&lt;=1">(VersturenGeldigePartijnummers-payload): element hl7:kindOfMaterialKind[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code) or @nullFlavor]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance/hl7:asInstanceOfKind[hl7:kindOfMaterialKind[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code) or @nullFlavor]]]/hl7:kindOfMaterialKind[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code) or @nullFlavor]]
Item: (VersturenGeldigePartijnummers-payload)
-->

   <rule context="*[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance/hl7:asInstanceOfKind[hl7:kindOfMaterialKind[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code) or @nullFlavor]]]/hl7:kindOfMaterialKind[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code) or @nullFlavor]]"
         id="d101e28365-false-d373011e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="string(@classCode)=('MAT')">(VersturenGeldigePartijnummers-payload): de waarde van @classCode MOET 'MAT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(VersturenGeldigePartijnummers-payload): attribuut @classCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="string(@determinerCode)=('KIND')">(VersturenGeldigePartijnummers-payload): de waarde van @determinerCode MOET 'KIND' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="not(@determinerCode) or (string-length(@determinerCode)&gt;0 and not(matches(@determinerCode,'\s')))">(VersturenGeldigePartijnummers-payload): attribuut @determinerCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="count(hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code) or @nullFlavor])&gt;=1 ">(VersturenGeldigePartijnummers-payload): element hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code) or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="count(hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code) or @nullFlavor])&lt;=1">(VersturenGeldigePartijnummers-payload): element hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code) or @nullFlavor] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance/hl7:asInstanceOfKind[hl7:kindOfMaterialKind[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code) or @nullFlavor]]]/hl7:kindOfMaterialKind[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code) or @nullFlavor]]/hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code) or @nullFlavor]
Item: (VersturenGeldigePartijnummers-payload)
-->

   <rule context="*[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']/hl7:product/hl7:instanceOfKind/hl7:productInstanceInstance/hl7:asInstanceOfKind[hl7:kindOfMaterialKind[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code) or @nullFlavor]]]/hl7:kindOfMaterialKind[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code) or @nullFlavor]]/hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code) or @nullFlavor]"
         id="d101e28385-false-d376070e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(VersturenGeldigePartijnummers-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(VersturenGeldigePartijnummers-payload): de elementwaarde MOET een zijn van '2.16.840.1.113883.2.4.3.11.60.100.11.2.422 W0422 Soort vaccinatie (HL7) (DYNAMISCH)'.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-DYNAMIC.xml')//valueSet[1]/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(VersturenGeldigePartijnummers-payload): de nulwaarde '<value-of select="@nullFlavor"/>' voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardelijst 2.16.840.1.113883.2.4.3.11.60.100.11.2.422 W0422 Soort vaccinatie (HL7) (DYNAMISCH).</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="not(@code) or @displayName">(VersturenGeldigePartijnummers-payload): 
                                            <name path=".."/>/<name/>/@displayName MOET de weergavenaam bevatten</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']/hl7:product/hl7:instanceOfKind/hl7:kindOfProduct
Item: (VersturenGeldigePartijnummers-payload)
-->

   <rule context="*[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']/hl7:product/hl7:instanceOfKind/hl7:kindOfProduct"
         id="d101e28411-false-d379315e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="string(@classCode)=('MAT')">(VersturenGeldigePartijnummers-payload): de waarde van @classCode MOET 'MAT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(VersturenGeldigePartijnummers-payload): attribuut @classCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="string(@determinerCode)=('KIND')">(VersturenGeldigePartijnummers-payload): de waarde van @determinerCode MOET 'KIND' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="not(@determinerCode) or (string-length(@determinerCode)&gt;0 and not(matches(@determinerCode,'\s')))">(VersturenGeldigePartijnummers-payload): attribuut @determinerCode MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="count(hl7:code)&gt;=1 ">(VersturenGeldigePartijnummers-payload): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="count(hl7:code)&lt;=1">(VersturenGeldigePartijnummers-payload): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.140
Context: *[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']/hl7:product/hl7:instanceOfKind/hl7:kindOfProduct/hl7:code
Item: (VersturenGeldigePartijnummers-payload)
-->

   <rule context="*[hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']]/hl7:ProductList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.140']/hl7:product/hl7:instanceOfKind/hl7:kindOfProduct/hl7:code"
         id="d101e28428-false-d379556e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(VersturenGeldigePartijnummers-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="string(@nullFlavor)=('OTH') or not(@nullFlavor)">(VersturenGeldigePartijnummers-payload): de waarde van @nullFlavor MOET 'OTH' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="not(@nullFlavor) or (string-length(@nullFlavor)&gt;0 and not(matches(@nullFlavor,'\s')))">(VersturenGeldigePartijnummers-payload): attribuut @nullFlavor MOET datatype 'cs' hebben</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="@nullFlavor or (@code and @codeSystem and @displayName)">(VersturenGeldigePartijnummers-payload): Als er geen @nullFlavor is, dan MOETEN @code, @codeSystem én @displayName een waarde bevatten.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/jeugdgezondheidszorg/jgz-html-20160301T122306/tmp-2.16.840.1.113883.2.4.6.10.100.140-2012-08-01T000000.html"
              test="not(@nullFlavor) or (@nullFlavor='OTH' and hl7:originalText)">(VersturenGeldigePartijnummers-payload): Als er een @nullFlavor is dan MOET de waarde 'OTH' zijn en MOET originalText de omschrijving bevatten.</assert>
   </rule>
</pattern>
